# Ogre::MouseMotionListener Class Reference

Specialised EventListener for mouse motion. More...

`#include <OgreEventListeners.h>`

Inheritance diagram for Ogre::MouseMotionListener:

List of all members.

## Public Member Functions

virtual void | mouseMoved (MouseEvent *e)=0
| Invoked when the mouse has been moved.
virtual void | mouseDragged (MouseEvent *e)=0
| Invoked when the mouse dragged.
virtual void | mouseDragMoved (MouseEvent *e)
| sent to target

## Detailed Description

Specialised EventListener for mouse motion.

Definition at line 125 of file OgreEventListeners.h.

## Member Function Documentation

virtual void Ogre::MouseMotionListener::mouseDragged | ( | MouseEvent * | e | ) | `[pure virtual]`

| Invoked when the mouse dragged.

virtual void Ogre::MouseMotionListener::mouseDragMoved | ( | MouseEvent * | e | ) | `[virtual]`

| sent to target Definition at line 141 of file OgreEventListeners.h.

virtual void Ogre::MouseMotionListener::mouseMoved | ( | MouseEvent * | e | ) | `[pure virtual]`

| Invoked when the mouse has been moved.

The documentation for this class was generated from the following file:

- OgreEventListeners.h

Copyright © 2000-2005 by The OGRE Team
This work is licensed under a Creative Commons Attribution-ShareAlike 2.5 License.
Last modified Sun Feb 12 13:00:25 2006